export declare const isProduction: boolean;
export declare let sealKey: string;
export declare let baseURL: string;
export declare let apiPath: string;
export interface reqParams {
    url: string;
    fetchOpts: any;
}
export declare enum httpTypes {
    "get" = "GET",
    "post" = "POST"
}
export declare enum serviceTypes {
    allSubs = "allSubs",
    subDetails = "subDetails",
    magicLink = "magicLink"
}
type reqMapping = {
    [serviceName in serviceTypes]: {
        method: httpTypes;
        endPoint: string;
        argStr: null | string;
    };
};
export declare enum subStates {
    active = "ACTIVE",
    paused = "PAUSED",
    cancelled = "CANCELLED",
    expired = "EXPIRED"
}
export declare enum intervals {
    monthly = "1 month",
    annual = "12 month"
}
export declare enum currencies {
    cad = "CAD",
    usd = "USD"
}
export declare enum billingStates {
    successful = "completed"
}
export declare const services: reqMapping;
export {};
