export declare enum subStates {
    active = "ACTIVE",
    paused = "PAUSED",
    cancelled = "CANCELLED",
    expired = "EXPIRED"
}
export declare enum intervals {
    monthly = "1 month",
    annual = "12 month"
}
export declare enum currencies {
    cad = "CAD",
    usd = "USD"
}
export declare enum billingStates {
    successful = "completed"
}
export interface apiSubOverview {
    id: string;
    order_placed: string;
    internal_id: number;
    delivery_interval: intervals;
    billing_interval: intervals;
    order_id: string;
    email: string;
    currency: currencies;
    first_name: string;
    last_name: string;
    s_first_name: string;
    s_last_name: string;
    s_address1: string;
    s_address2: string;
    s_phone: string;
    s_city: string;
    s_zip: string;
    s_province: string;
    s_country: string;
    s_company: string;
    s_country_code: string;
    s_province_code: string;
    b_first_name: string;
    b_last_name: string;
    b_address1: string;
    b_city: string;
    b_zip: string;
    b_province: string;
    b_country: string;
    b_company: string;
    b_country_code: string;
    b_province_code: string;
    total_value: 198;
    admin_note: string;
    subscription_type: 2;
    status: subStates;
    edit_url: string;
}
export interface getAllSubsResp {
    success: boolean;
    payload: {
        subscriptions: apiSubOverview[];
        page: number;
        total_pages: number;
    };
}
interface subItems {
    id: number;
    product_id: string;
    variant_id: string;
    title: string;
    variant_sku: string;
    quantity: number;
    price: string;
    total_discount: string;
    discount_per_item: string;
    taxable: number;
    requires_shipping: number;
    original_price: string;
    original_amount: number;
    discount_value: number;
    discount_amount: number;
    final_price: string;
    final_amount: number;
    properties: [];
    is_one_time_item: number;
    selling_plan_id: string;
    cycle_discounts: [];
    discount_codes: [];
}
interface subBillEvents {
    id: number;
    date: string;
    status: string;
    order_id: string;
    error_code: string;
    error_message: string;
    triggered_manually: string;
    customer_authentication_challenge_url: string;
}
interface subLogEntries {
    content: string;
    created: string;
}
export interface subDetailsResp {
    success: boolean;
    payload: {
        id: number;
        order_placed: string;
        internal_id: number;
        delivery_interval: intervals;
        billing_interval: intervals;
        order_id: string;
        email: string;
        currency: currencies;
        first_name: string;
        last_name: string;
        s_first_name: string;
        s_last_name: string;
        s_address1: string;
        s_address2: string;
        s_phone: string;
        s_city: string;
        s_zip: string;
        s_province: string;
        s_country: string;
        s_company: string;
        s_country_code: string;
        s_province_code: string;
        b_first_name: string;
        b_last_name: string;
        b_address1: string;
        b_city: string;
        b_zip: string;
        b_province: string;
        b_country: string;
        b_company: string;
        b_country_code: string;
        b_province_code: string;
        total_value: number;
        admin_note: string;
        subscription_type: number;
        status: subStates;
        customer_id: string;
        billing_min_cycles: number;
        billing_max_cycles: string;
        note: string;
        note_attributes: string[];
        edit_url: string;
        cancelled_on: string;
        paused_on: string;
        shopify_graphql_subscription_contract_id: string;
        card_brand: string;
        card_expiry_month: string;
        card_expiry_year: string;
        card_last_digits: string;
        items: subItems[];
        billing_attempts: subBillEvents[];
        invoices: [];
        fulfillment_orders: [];
        tags: [];
        log: subLogEntries[];
    };
}
export interface magicLinkResp {
    success: true;
    payload: {
        magic_link: string;
    };
}
export {};
